package com.inspect.metadata.prodevmnt.service;

import com.inspect.metadata.prodevmnt.domain.BasedataModelDevice;

import java.util.List;

public interface IBasedataModelDeviceService {
    BasedataModelDevice selectBasedataModelDeviceByModelDeviceId(String deviceId);

    List<BasedataModelDevice> selectBasedataModelDeviceList(BasedataModelDevice device);

    int insertBasedataModelDevice(BasedataModelDevice device);

    int updateBasedataModelDevice(BasedataModelDevice device);

    int deleteBasedataModelDeviceByModelDeviceIds(String[] deviceIds);

    int deleteBasedataModelDeviceByModelDeviceId(String deviceId);
}
